// import '@grapecity/wijmo.styles/wijmo.css';
import { Component, ViewChild } from '@angular/core';
import * as wjcGrid from '@grapecity/wijmo.grid';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  data?: any[];
  shipCountries = ['DE', 'US', 'CN'];
  rowIndex = null;
  colIndex = null;
  flag = true;
  @ViewChild('grid', { static: true }) grid:any;
  @ViewChild('matSelect', { static: false }) matSelect: any;

  ngOnInit(): void {
    this.data = [
      {
        OrderID: 1,
        CustomerID: 'a',
        Freight: 'b',
        ShipCountry: 'DE',
      },
      {
        OrderID: 2,
        CustomerID: 'c',
        Freight: 'd',
        ShipCountry: 'DE',
      },
    ];
  }

  initGrid(grid:any) {}

  overlayContainer: any;
  preventEvent = (e:any) => e.preventDefault();
  openedChange(e:any) {
    if (e) {
      // prevent handling of mousedown events by grid
      this.overlayContainer = document.querySelector('.cdk-overlay-container');
      this.overlayContainer.addEventListener('mousedown', this.preventEvent);
    } else {
      // remove unnecessary handler to prevent memory leakage
      this.overlayContainer.removeEventListener('mousedown', this.preventEvent);
      this.overlayContainer = null;
    }
  }
}
